<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/*
 * This file is used to generate the ouput for the shortcode
 *
 */

add_shortcode('nnr_content_fire', 'nnr_content_fire_shortcode');

/**
 * Generate the code for the shortcode
 *
 * @access public
 * @param mixed $atts
 * @return void
 */
function nnr_content_fire_shortcode($atts) {

	$args = shortcode_atts( array(
        'id' 						=> null,
    ), $atts );

    global $wpdb;

	// Get all Content Fires

	$content_fire = $wpdb->get_results(
		$wpdb->prepare("SELECT * FROM `" . NNRobots_Content_Fire_DB::getTableName() . "` WHERE `id` = %d", $args['id'])
	, 'ARRAY_A');

	$content_fire = $content_fire[0];

	$args         = NNRobots_Content_Fire_Functions::mb_unserialize($content_fire['args']);
	$template     = NNRobots_Content_Fire_Functions::mb_unserialize($content_fire['template']);
	$trigger      = NNRobots_Content_Fire_Functions::mb_unserialize($content_fire['trigger']);
	$news_letter  = NNRobots_Content_Fire_Functions::mb_unserialize($content_fire['news_letter']);

	// Check that conditions are true

	if (NNRobots_Content_Fire_Functions::check_conditions($content_fire['id'], $template, $args, $trigger)) {
		return NNRobots_Content_Fire_Functions::generate_code($content_fire, $news_letter);
	}

	return null;

}